{% extends "layout.twig" %}
{% block head %}
    <title>App | Register page</title>
{% endblock %}

{% block title %}
    Register page
{% endblock %}

{% block content %}
    <div class="d-flex justify-content-center">
        <form method="post" action="{{ path_for('register.post') }}">
            <div class="form-row">
                <div class="col">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="email@example.com">
                </div>
            </div>
            <div class="form-row mt-2">
                <div class="col">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" name="password" placeholder="Password">
                </div>
            </div>
            <div class="form-row mt-2">
                <div class="col">
                    <label for="password_repeat">Password repeat</label>
                    <input type="password" class="form-control" id="password_repeat" name="password_repeat" placeholder="Password">
                </div>
            </div>
            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">
            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">
            <div class="d-flex justify-content-center mt-3">
                <button class="btn btn-outline-secondary">Login</button>
            </div>
            <div class="d-flex justify-content-center mt-1">
                <a href="{{ path_for('login.get') }}">Already have an account?</a>
            </div>
        </form>
    </div>

{% endblock %}

{% block msg%}
    {% if has_error('email') or has_error('password') or has_error('password_repeat') %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <h4 class="alert-heading">Error</h4>
            <p>{{ get_error('email') }}</p>
            <p>{{ get_error('password') }}</p>
            <p>{{ get_error('password_repeat') }}</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endif %}
{% endblock%}